## eccodes 2.44.1

=== tests/CMakeLists.txt ===
# tests/CMakeLists.txt
#
# Configure the file which all CMake tests will include
configure_file( include.ctest.sh.in  include.ctest.sh @ONLY )

execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/utils.sh   ${CMAKE_CURRENT_BINARY_DIR} )
execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/number_compare.pl ${CMAKE_CURRENT_BINARY_DIR} )

# Build the executables used by test scripts
################################################
list(APPEND test_c_bins
    list_codetable_flagtable_keys
    wmo_read_bufr_from_file
    wmo_read_gts_from_file
    wmo_read_any_from_file
    wmo_read_any_from_file_with_offset
    wmo_read_any_from_stream
    grib_bpv_limit
    grib_double_cmp
    read_any
    julian
    grib_update_sections_lengths
    grib_indexing
    grib_fieldset
    grib_multi_from_message
    grib_clone_headers_only
    grib_read_index
    grib_set_large_message_fail
    unit_tests
    bufr_keys_iter
    bufr_keys_iter_header
    grib_keys_iter
    grib_keys_iter_skip
    grib_geo_iter
    grib_nearest_test
    grib_util_set_spec
    grib_util_set_spec2
    grib_check_param_concepts
    grib_local_MeteoFrance
    grib_2nd_order_numValues
    grib_optimize_scaling
    grib_optimize_scaling_sh
    grib_set_force
    grib_run_length_packing
    grib_partial_message
    grib_ecc-1467
    grib_ecc-1431
    grib_ecc-1433
    grib_ecc-1764
    grib_ecc-2005
    grib_ecc-2019
    grib_ecc-2034
    grib_ecc-2045
    bufr_ecc-517
    bufr_ecc-1288
    bufr_ecc-2011
    bufr_get_element
    bufr_extract_headers
    bufr_check_descriptors
    bufr_coordinate_descriptors
    codes_new_from_samples
    codes_dump_action_tree
    codes_set_samples_path
    codes_compare_keys
    codes_dump_content
    codes_codetable
    codes_get_string
    grib_sh_ieee64
    grib_set_bytes
    grib_copy_message
    grib_packing_order
    grib_unpack_subarray
    grib_sh_imag
    grib_spectral
    grib_lam_bf
    grib_lam_gp)


foreach( tool ${test_c_bins} )
    # here we use the fact that each tool has only one C file that matches its name
    ecbuild_add_executable( TARGET    ${tool}
                            NOINSTALL
                            SOURCES   ${tool}.cc
                            LIBS      eccodes )
endforeach()


# Now add each test (shell scripts)
#################################################
if( HAVE_BUILD_TOOLS )

    # These tests do not require any data downloads
    # and are generally quick
    list(APPEND tests_basic
        codes_info
        codes_deprecated
        unit_tests
        julian
        grib_dump_samples
        bufr_dump_samples
        bufr_check_descriptors
        definitions
        grib2_version
        grib_accessors
        grib_calendar
        grib_md5
        grib_cfNames
        grib_packing_order
        filter_substr
        filter_contains
        filter_size
        filter_is_one_of
        filter_is_in_list
        filter_transient_darray
        grib_ecpoint
        grib_s2s
        grib_fire
        grib_mtg2_switch
        grib_generalised_tiles
        # grib_true_imagery
        grib2_wave_spectra
        grib2_probability
        grib_suppressed
        grib_destine_mars_keys
        grib_destine_test_mars_keys
        grib_2nd_order_numValues
        grib_ecc-136
        grib_ecc-530
        grib_ecc-922
        grib_ecc-966
        grib_ecc-967
        grib_ecc-1150
        grib_ecc-1053
        grib_ecc-1065
        grib_ecc-1167
        grib_ecc-1170
        grib_ecc-1195
        grib_ecc-1212
        grib_ecc-1230
        grib_ecc-1258
        grib_ecc-1260
        grib_ecc-1261
        grib_ecc-1271
        grib_ecc-1315
        grib_ecc-1322
        grib_ecc-1319
        grib_ecc-1406
        grib_ecc-1440
        grib_ecc-1560
        grib_ecc-1571
        grib_ecc-1654
        grib_ecc-1671
        grib_ecc-1708
        grib_ecc-1766
        grib_ecc-1829
        grib_ecc-2140
        bufr_ecc-1028
        bufr_ecc-1195
        bufr_ecc-1259
        bufr_ecc-1290
        bufr_ecc-1304
        bufr_ecc-1347
        bufr_ecc-1395
        bufr_ecc-1840
        bufr_json_samples
        bufr_ecc-359
        bufr_ecc-517
        bufr_ecc-2011
        grib_efas
        grib_sh_imag
        grib_spectral
        grib_levtype
        grib_typeOfLevel
        grib2_product_templates
        grib_grid_unstructured
        grib_grid_lambert_conformal
        grib_grid_polar_stereographic
        grib_grid_healpix
        grib_g1day_of_the_year_date
        grib_paramid_chemid_split
        grib_cmp_paramtype
        grib_timeSpanConcept
        grib_cmp_timeSpan
        grib_stattype
    )

    # These tests require data downloads
    # and/or take much longer
    list(APPEND tests_extra
        error_codes
        grib_datasetForLocal
        grib_isGridded_isSpectral
        grib_data_quality_checks
        grib_check_message_validity
        grib_update_sections_lengths
        grib_units_bias_factor
        grib_set_large_message_fail
        grib_g1monthlydate
        grib_g1fcperiod
        grib_bpv_limit
        grib_complex
        grib_double_cmp
        grib_paramtypeConcept
        grib_element
        grib_change_packing
        grib_complex_spatial_differencing
        grib_run_length_packing
        grib_grid_space_view
        grib_partial_message
        grib_true_imagery
        grib_headers_only
        grib_uerra
        grib_unpack_subarray
        grib_count
        grib_clone_headers_only
        filter_dump_content
        wmo_read_bufr_from_file
        wmo_read_gts_from_file
        wmo_read_any_from_file
        wmo_read_any_from_file_with_offset
        wmo_read_any_from_stream
        bufr_templates
        bufr_rdbSubTypes
        bufr_dump_data
        bufr_dump_descriptors
        bufr_coordinate_descriptors
        bufr_dump_subset
        bufr_dump_decode_filter
        bufr_dump_encode_filter
        bufrdc_desc_ref
        bufrdc_ref
        bufr_compare
        bufr_copy
        bufr_count
        bufr_get
        bufr_operators
        bufr_filter_misc
        bufr_filter_datetime
        bufr_filter_fail
        bufr_filter_extract_subsets
        bufr_filter_extract_datetime
        bufr_filter_extract_area
        bufr_filter_unpack_pack
        bufr_filter_skipExtraKeyAttributes
        bufr_indexing
        bufr_json_data
        bufr_ls
        bufr_ls_json
        bufr_change_edition
        bufr_keys_iter
        bufr_keys_iter_header
        grib_keys_iter
        grib_keys_iter_skip
        grib_geo_iter
        grib_to_json
        grib_to_ppm
        grib_list_keys
        grib_histogram
        bufr_get_element
        bufr_wmo_tables
        bufr_extract_headers
        extract_offsets
        bufr_operator_203
        bufr_ecc-147
        bufr_ecc-389
        bufr_ecc-673
        bufr_ecc-428
        bufr_ecc-286
        bufr_ecc-288
        bufr_ecc-313
        bufr_ecc-616
        bufr_ecc-686
        bufr_ecc-690
        bufr_ecc-379
        bufr_ecc-393
        bufr_ecc-433
        bufr_ecc-750
        bufr_ecc-765
        bufr_ecc-875
        bufr_ecc-887
        bufr_ecc-1187
        bufr_ecc-1305
        bufr_ecc-1476
        bufr_ecc-1623
        bufr_ecc-1785
        bufr_ecc-1958
        bufr_ecc-1938
        bufr_ecc-2030
        bufr_ecc-2037
        bufr_ecc-2100
        grib_488
        grib_ecc-490
        grib_ecc-756
        grib_ecc-806
        grib_ecc-873
        grib_ecc-600
        grib_ecc-813
        grib_ecc-923
        grib_ecc-979
        grib_ecc-984
        grib_ecc-1000
        grib_ecc-1001
        grib_ecc-1030
        grib_ecc-1364
        grib_ecc-1397
        grib_ecc-1425
        grib_ecc-1467
        grib_ecc-1764
        grib_ecc-1792
        grib_ecc-1806
        #grib_ecc-1898
        grib_ecc-1907
        grib_ecc-1941
        grib_ecc-1942
        grib_ecc-1992
        grib_ecc-2005
        grib_ecc-2006
        grib_ecc-2013
        grib_ecc-2019
        grib_ecc-2034
        grib_ecc-2045
        grib_ecc-2050
        grib_ecc-2052
        grib_ecc-2137
        grib_modelName
        grib_sub_hourly
        grib_set_bytes
        grib_set_force
        bufr_ecc-556
        codes_assert
        codes_ecc-1698
        codes_ecc-1929
        codes_get_string
        codes_codetable
        gts_get
        gts_ls
        gts_count
        gts_compare
        gts_dump
        wrap
        hdf5
        taf
        pseudo_diag
        metar_ls
        metar_filter
        metar_get
        metar_dump
        metar_compare
        bufr_set
        grib_ieee
        grib1_gds_not_present
        grib_sh_ieee64
        grib_optimize_scaling
        grib_optimize_scaling_sh
        grib_lam_bf
        grib_lam_gp
        grib1to2
        grib2to1
        grib1to3
        grib2to3
        grib2_templates
        grib2_chemicals_aerosols
        grib3_templates
        grib_bad
        grib_ls
        grib_ls_json
        grib_filter
        grib_filter_fail
        grib_multi
        grib_nearest_test
        pseudo_budg
        grib_gridType
        grib_gridSpec
        grib_fieldset
        grib_octahedral
        grib_grid_mercator
        grib_global
        grib_concept
        grib_copy_message
        grib_decimalPrecision
        grib_bitsPerValue
        grib_get_fail
        grib_missing
        grib_local_ECMWF
        grib_step
        grib_set
        grib_set_fail
        grib_iterator
        grib_iterator_fail
        grib_proj_string
        grib_compare
        grib_copy
        grib_level
        grib_indexing
        grib_bitmap
        grib_secondary_bitmap
        grib_list
        grib_second_order
        grib_multi_from_message
        grib_change_scanning
        grib_statistics
        read_any
        codes_new_from_samples
        codes_dump_action_tree
        codes_set_samples_path
        codes_compare_keys
        codes_dump_content
        codes_to_double
        grib_dump
        grib_dump_debug
        grib_dump_json
        grib_local_MeteoFrance
        grib_local_NCEP
        grib_neg_fctime
        codes_split_file
        grib_mars_keys1
        grib_mars_keys2)

    if( HAVE_AEC AND ENABLE_EXTRA_TESTS )
        list(APPEND tests_extra grib_ecc-1431)
        list(APPEND tests_extra grib_ecc-1433)
    endif()
    if( HAVE_FORTRAN AND ENABLE_EXTRA_TESTS )
        list(APPEND tests_extra bufr_dump_encode_fortran)
        list(APPEND tests_extra bufr_dump_decode_fortran)
    endif()
    if( ENABLE_EXTRA_TESTS )
        list(APPEND tests_extra grib_util_set_spec)
        list(APPEND tests_extra grib_util_set_spec2)
        list(APPEND tests_extra grib_padding)
        list(APPEND tests_extra grib_tigge_conversions1)
        list(APPEND tests_extra grib_tigge_conversions2)
        list(APPEND tests_extra bufr_dump_encode_C)
        list(APPEND tests_extra bufr_dump_decode_C)
        list(APPEND tests_extra bufr_dump_encode_python)
        list(APPEND tests_extra bufr_dump_decode_python)
        list(APPEND tests_extra list_codetable_flagtable_keys)
    endif()

    # These tests do not require any data downloads
    foreach( test ${tests_basic} )
        ecbuild_add_test( TARGET  eccodes_t_${test}
                          TYPE    SCRIPT
                          LABELS  "sanity"
                          COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${test}.sh )
    endforeach()
    ecbuild_add_test( TARGET eccodes_t_grib_check_gaussian_grids
                      TYPE SCRIPT
                      CONDITION ECCODES_INSTALL_EXTRA_TOOLS AND ENABLE_EXTRA_TESTS
                      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/grib_check_gaussian_grids.sh
                      TEST_DEPENDS eccodes_download_gribs )
    ecbuild_add_test( TARGET eccodes_t_grib_repair
                      TYPE SCRIPT
                      CONDITION ECCODES_INSTALL_EXTRA_TOOLS AND ENABLE_EXTRA_TESTS
                      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/grib_repair.sh

=== debian/changelog ===
eccodes (2.44.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Nov 2025 10:40:46 +0000

## eccodes 2.44.2

=== debian/changelog ===
eccodes (2.44.2-4) unstable; urgency=medium

  * Fixes for dh-fortran >= 0.61

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Jan 2026 08:22:48 +0000

eccodes (2.44.2-3) unstable; urgency=medium

  * Fix binary-all FTBFS. Closes: #1124345
  * Remove b-d on flang-21 on s390x to unblock.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jan 2026 09:49:23 +0000

eccodes (2.44.2-2) unstable; urgency=medium

  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Fix libeccodes_static.a install.
    Closes: #1124157, #1124156, #1124178, #1124177, #1124180

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Dec 2025 20:00:33 +0000

eccodes (2.44.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright updates for licencerecon
  * Set ECKIT_GEO on; ensure BUILD_FLAGS used
  * Set extra example files as non-exec
  * Use dh-fortran rules
  * d/watch: Move to version 5 syntax
  * Drop dh_dwz; dh_fortran automatically does this now
  * No longer need -data tarball
  * Build-dep on libeckit-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Dec 2025 10:43:05 +0000

=== debian/control ===
Source: eccodes
Section: science
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  architecture-is-64-bit,
  dh-fortran (>= 0.61),
  gfortran,
  flang-21 [!s390x],
  ecbuild (>= 3.7.0),
  libeckit-dev,
  libjpeg-dev, 
  libpng-dev, 
  flex, 
  bison, 
  quilt,
  swig, 
  doxygen,
  libboost-dev, 
  libhdf5-dev, 
  chrpath,
  libaec-dev,
  libnetcdf-dev,
  libopenjp2-7-dev
Build-Conflicts: libopenjpeg-dev, libeccodes-dev
Standards-Version: 4.7.3
Homepage: https://software.ecmwf.int/wiki/display/ECC/ecCodes+Home
Vcs-Browser: https://salsa.debian.org/science-team/eccodes.git
Vcs-Git: https://salsa.debian.org/science-team/eccodes.git -b debian/latest

Package: libeccodes0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libeccodes-data
Description: GRIB and BUFR enecoding/encoding software library
 ecCodes is the ECMWF encoding/decoding software for GRIB and BUFR.
 .
 It is a replacement for the grib-api and emoslib libraries.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libeccodes-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GRIB and BUFR enecoding/encoding software library - data
 ecCodes is the ECMWF encoding/decoding software for GRIB and BUFR.
 
Package: libeccodes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Recommends: libeccodes-tools
Depends: libeccodes0 (= ${binary:Version}), 
  ${misc:Depends}, ${shlibs:Depends},  ${fortran:Depends},
  libaec-dev, libpng-dev, libjpeg-dev, zlib1g-dev
Description: GRIB and BUFR decoding/encoding software library (development)
 ecCodes is the ECMWF encoding/decoding software for GRIB and BUFR.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
 
Package: libeccodes-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GRIB decoding/encoding software (utilities)
 ecCodes is the ECMWF encoding/decoding software for GRIB and BUFR.
 .
 This is a useful set of command line tools to give quick access to grib
 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libeccodes-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: GRIB decoding/encoding software (documentation)
 ecCodes is the ECMWF encoding/decoding software for GRIB and BUFR.
 .
 This provides the documentation for the library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/debhelper/dh-fortran/fortran-support.mk

DEB_BUILD_MAINT_OPTIONS:= hardening=+all
export DEB_BUILD_MAINT_OPTIONS

FC_DEFAULT:= gfortran
FC_OPTIONAL:= flang-21
export FC:=gfortran

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
INCDIR=/usr/include/$(DEB_HOST_MULTIARCH)
DESTDIR=$(CURDIR)/debian/tmp
CMAKEDIR:=debian/libeccodes-dev/$(LIBDIR)/cmake/eccodes

BUILDDIR:=debian/build
BUILDDIR_DEFAULT:=$(BUILDDIR)-$(FC_DEFAULT)

# For hardening
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) #  -fPIC
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export LDFLAGS CFLAGS CPPFLAGS CXXFLAGS

# Pull in ecbuild macros rather than local ones
BUILD_FLAGS =  \
	-DENABLE_INSTALL_ECCODES_DEFINITIONS=ON \
	-DENABLE_INSTALL_ECCODES_SAMPLES=ON \
	-DENABLE_PNG=ON \
	-DENABLE_ECKIT_GEO=ON \
	-DENABLE_AEC=ON \
	-DENABLE_RPATHS=OFF \
	-DENABLE_RELATIVE_RPATHS=OFF \
	-DCMAKE_C_CFLAGS="${CFLAGS} ${LDFLAGS}" \
	-DENABLE_ALIGN_MEMORY=ON \
	-DENABLE_GRIB_TIMER=ON \
	-DENABLE_ECCODES_OMP_THREADS=On  \

%:
	dh $@ --buildsystem=ecbuild --builddirectory=${BUILDDIR_DEFAULT}  --no-parallel --with fortran

define dh_build_fortran_TEMPLATE =
  dh_build_fortran_$(1):
	@echo DEBUGF  CALLING dh_build_fortran_$(1)
	dh_auto_build --builddirectory=${BUILDDIR}-$(1) 
	@echo DEBUGF  LEAVING dh_build_fortran_$(1)
endef
$(eval $(call foreach_fc_execute_before,build))

define dh_configure_fortran_TEMPLATE =
  dh_configure_fortran_$(1):
	@echo DEBUGF ENTERING dh_configure_fortran_$(1)
	FFLAGS=`dh_fortran get_fc_flags --fc $(1)`  \
	LDFLAGS=`dh_fortran get_ld_flags --fc $(1)`  \
	dh_auto_configure --builddirectory=${BUILDDIR}-$(1)  -- \
			${BUILD_FLAGS} \
			-DCMAKE_Fortran_COMPILER=$(1) 
	@echo DEBUGF LEAVING dh_configure_fortran_$(1)
endef
$(eval $(call foreach_fc_execute_before,configure))


# TODO fix static installs properly with dh_fortran_cmake

override_dh_install:
	cd $(BUILDDIR_DEFAULT) && $(MAKE) install DESTDIR=$(DESTDIR)  
	# Move to multiarch dir
	mkdir -p  $(DESTDIR)/$(INCDIR)
	mv $(DESTDIR)/usr/include/*.h $(DESTDIR)/$(INCDIR)
	dh_install
	# Setup cmake files for magics++, metview, etc. (full builds only)
	[ -e $(CMAKEDIR)/eccodes-targets.cmake ] && ( \
	sed -i -e 's%$${_IMPORT_PREFIX}/include%/usr/include/${DEB_HOST_MULTIARCH}%g' 	$(CMAKEDIR)/eccodes-targets.cmake  ; \
	sed -i -e 's%/usr/lib/libeccodes%${LIBDIR}/libeccodes%' 			$(CMAKEDIR)/eccodes-targets-release.cmake ;\
	sed -i -e 's%/libeccodes_f90_static.a%/fortran/gnu/libeccodes_f90_static.a%' 	$(CMAKEDIR)/eccodes-targets-release.cmake ;\
	sed -i -e 's%$${_IMPORT_PREFIX}%/usr%'                  			$(CMAKEDIR)/eccodes-targets-release.cmake ;\
	sed -i -e 's%${LIBDIR}/libopenjpeg.so;%%' 					$(CMAKEDIR)/eccodes-targets-release.cmake ;\
	sed -i -e 's%;${LIBDIR}/libpng.so%%g' 						$(CMAKEDIR)/eccodes-targets-release.cmake ;\
	sed -i -e 's%;${LIBDIR}/libopenjpeg.so%%g' 					$(CMAKEDIR)/eccodes-config.cmake ;\
	sed -i -e 's%$${PACKAGE_PREFIX_DIR}/lib/cmake/eccodes%${LIBDIR}/cmake/eccodes%g' $(CMAKEDIR)/eccodes-config.cmake ;\
	sed -i -e 's%;${LIBDIR}/libpng.so%%g' 						$(CMAKEDIR)/eccodes-config.cmake ;\
	for f in eccodes-config.cmake eccodes-import.cmake ; do \
		sed -i -e 's%${CURDIR}%/build/eccodes%g' $(CMAKEDIR)/$$f ; \
		sed -i -e 's%$${eccodes_BASE_DIR}/share%/usr/share%g' $(CMAKEDIR)/$$f ; \
		done ; \
        ) || true
	# file exists on full builds only
	[ - e debian/libeccodes-dev/$(INCDIR)/eccodes_ecbuild_config.h ] && ( \
		sed -i -e 's%${CURDIR}%/build/eccodes%g'  debian/libeccodes-dev/$(INCDIR)/eccodes_ecbuild_config.h \
		) || true	


execute_after_dh_auto_clean:
	rm -rf debian/build-*

execute_after_dh_fixperms:
	-chmod -x debian/libeccodes-dev/usr/share/doc/libeccodes-dev/examples/F90/include.sh
	-chmod -x debian/libeccodes-dev/usr/share/doc/libeccodes-dev/examples/extra/include.sh
	-chmod -x debian/libeccodes-dev/usr/share/doc/libeccodes-dev/examples/extra/f_clone.f90
	-chmod +x debian/libeccodes-data/usr/share/eccodes/definitions/installDefinitions.sh
	-chrpath -d debian/libeccodes0/$(LIBDIR)/*.so.0
	-chrpath -d debian/libeccodes-tools/usr/bin/grib_to_netcdf


define dh_test_fortran_TEMPLATE =
  dh_test_fortran_$(1):
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	(LD_LIBRARY_PATH=$(BUILDDIR)-$(1)/lib dh_auto_test --builddirectory=$(BUILDDIR)-$(1) || true)
endif
endef
$(eval $(call foreach_fc_execute_before,test))
